Flows
Publish flow
Creates an immutable version from a draft and synchronizes the draft to match. Call flows.validate before this when supplying a spec, or use flows.updateDraft to save changes without publishing.
POST
/
v1
/
flows
/
{id}
/
publish
Publish flow
curl --request POST \
--url https://app.chatbotx.io/api/v1/flows/{id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"nodes": [
{
"id": "<string>",
"position": {
"x": 123,
"y": 123
},
"measured": {
"width": 123,
"height": 123
},
"type": "sendMessage",
"data": {
"name": "<string>",
"isStartNode": true,
"details": {
"beforeStep": {
"id": "<string>",
"stepType": "chooseChannel",
"channel": "<string>"
},
"steps": [
{
"id": "<unknown>",
"nodeId": "<unknown>",
"stepType": "<unknown>",
"mode": "<unknown>",
"url": "<unknown>",
"buttons": "<unknown>"
}
],
"quickReplies": [
{
"id": "<unknown>",
"label": "<unknown>"
}
]
}
}
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"sourceHandle": "<string>",
"target": "<string>",
"targetHandle": "<string>"
}
]
}
'import requests
url = "https://app.chatbotx.io/api/v1/flows/{id}/publish"
payload = {
"nodes": [
{
"id": "<string>",
"position": {
"x": 123,
"y": 123
},
"measured": {
"width": 123,
"height": 123
},
"type": "sendMessage",
"data": {
"name": "<string>",
"isStartNode": True,
"details": {
"beforeStep": {
"id": "<string>",
"stepType": "chooseChannel",
"channel": "<string>"
},
"steps": [
{
"id": "<unknown>",
"nodeId": "<unknown>",
"stepType": "<unknown>",
"mode": "<unknown>",
"url": "<unknown>",
"buttons": "<unknown>"
}
],
"quickReplies": [
{
"id": "<unknown>",
"label": "<unknown>"
}
]
}
}
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"sourceHandle": "<string>",
"target": "<string>",
"targetHandle": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nodes: [
{
id: '<string>',
position: {x: 123, y: 123},
measured: {width: 123, height: 123},
type: 'sendMessage',
data: {
name: '<string>',
isStartNode: true,
details: {
beforeStep: {id: '<string>', stepType: 'chooseChannel', channel: '<string>'},
steps: [
{
id: '<unknown>',
nodeId: '<unknown>',
stepType: '<unknown>',
mode: '<unknown>',
url: '<unknown>',
buttons: '<unknown>'
}
],
quickReplies: [{id: '<unknown>', label: '<unknown>'}]
}
}
}
],
edges: [
{
id: '<string>',
source: '<string>',
sourceHandle: '<string>',
target: '<string>',
targetHandle: '<string>'
}
]
})
};
fetch('https://app.chatbotx.io/api/v1/flows/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "notFound",
"status": 404,
"message": "Resource not found",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
flow id (numeric string). Get it from flows.list.
Pattern:
^\d+$Body
application/json
A complete agent-authored flow DSL document.
Show child attributes
Show child attributes
Raw flow node graph, as sent by the builder UI.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
Show child attributes
Show child attributes
Raw flow edge graph, as sent by the builder UI.
Show child attributes
Show child attributes
Response
OK
The response is of type any.
Was this page helpful?
⌘I
Publish flow
